curl -X GET "https://api.pix.basspago.com.br/pix/E12345678202607211307a1b2c3d4e5f/devolucao/dev-90210-01" \
--cert ./client.crt \
--key ./client.key \
--pass "SUA_SENHA_DO_CERTIFICADO" \
-H "Authorization: Bearer {access_token}"
<?php
$e2eid = 'E12345678202607211307a1b2c3d4e5f';
$id = 'dev-90210-01';
$ch = curl_init("https://api.pix.basspago.com.br/pix/{$e2eid}/devolucao/{$id}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_SSLCERT => './client.crt',
CURLOPT_SSLKEY => './client.key',
CURLOPT_KEYPASSWD => 'SUA_SENHA_DO_CERTIFICADO',
CURLOPT_HTTPHEADER => ['Authorization: Bearer {access_token}'],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
import fs from "node:fs";
import https from "node:https";
import axios from "axios";
const agent = new https.Agent({
cert: fs.readFileSync("./client.crt"),
key: fs.readFileSync("./client.key"),
passphrase: "SUA_SENHA_DO_CERTIFICADO",
});
const e2eid = "E12345678202607211307a1b2c3d4e5f";
const id = "dev-90210-01";
const { data } = await axios.get(
`https://api.pix.basspago.com.br/pix/${e2eid}/devolucao/${id}`,
{
httpsAgent: agent,
headers: { Authorization: "Bearer {access_token}" },
}
);
console.log(data);
{
"id": "dev-90210-01",
"rtrId": "D12345678202607211100f6e5d4c3b2a",
"valor": "49.90",
"horario": {
"solicitacao": "2026-07-21T11:00:00.000Z",
"liquidacao": "2026-07-21T11:00:05.000Z"
},
"status": "DEVOLVIDO",
"natureza": "ORIGINAL",
"descricao": "Devolução solicitada pelo cliente"
}
Transações
Consultar reembolso
Consulte o status e os dados de uma devolução Pix solicitada.
GET
/
pix
/
{e2eid}
/
devolucao
/
{id}
curl -X GET "https://api.pix.basspago.com.br/pix/E12345678202607211307a1b2c3d4e5f/devolucao/dev-90210-01" \
--cert ./client.crt \
--key ./client.key \
--pass "SUA_SENHA_DO_CERTIFICADO" \
-H "Authorization: Bearer {access_token}"
<?php
$e2eid = 'E12345678202607211307a1b2c3d4e5f';
$id = 'dev-90210-01';
$ch = curl_init("https://api.pix.basspago.com.br/pix/{$e2eid}/devolucao/{$id}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_SSLCERT => './client.crt',
CURLOPT_SSLKEY => './client.key',
CURLOPT_KEYPASSWD => 'SUA_SENHA_DO_CERTIFICADO',
CURLOPT_HTTPHEADER => ['Authorization: Bearer {access_token}'],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
import fs from "node:fs";
import https from "node:https";
import axios from "axios";
const agent = new https.Agent({
cert: fs.readFileSync("./client.crt"),
key: fs.readFileSync("./client.key"),
passphrase: "SUA_SENHA_DO_CERTIFICADO",
});
const e2eid = "E12345678202607211307a1b2c3d4e5f";
const id = "dev-90210-01";
const { data } = await axios.get(
`https://api.pix.basspago.com.br/pix/${e2eid}/devolucao/${id}`,
{
httpsAgent: agent,
headers: { Authorization: "Bearer {access_token}" },
}
);
console.log(data);
{
"id": "dev-90210-01",
"rtrId": "D12345678202607211100f6e5d4c3b2a",
"valor": "49.90",
"horario": {
"solicitacao": "2026-07-21T11:00:00.000Z",
"liquidacao": "2026-07-21T11:00:05.000Z"
},
"status": "DEVOLVIDO",
"natureza": "ORIGINAL",
"descricao": "Devolução solicitada pelo cliente"
}
Essa rota utiliza os certificados e o Bearer Token de Cash In.
Certificados
Esta rota usa autenticação mútua (mTLS). Envie o certificado de Cash In, a chave e a senha na requisição:file
required
Certificado de Cash In do cliente (
client.crt).file
required
Chave privada do cliente (
client.key).string
required
Senha para descriptografar a chave
.key, enviada por e-mail junto com os certificados.Headers
string
required
Bearer Token de Cash In. Formato:
Bearer {access_token}.Path
string
required
E2E da transação paga sobre a qual a devolução foi solicitada.
string
required
ID único da devolução informado na solicitação.
Resposta
string
ID da devolução informado na solicitação.
string
Identificador da devolução gerado pelo SPI.
string
Valor reembolsado.
object
string
Status da devolução. Exemplos:
EM_PROCESSAMENTO, DEVOLVIDO, NAO_REALIZADO.string
Natureza da devolução aplicada.
string
Motivo da devolução.
curl -X GET "https://api.pix.basspago.com.br/pix/E12345678202607211307a1b2c3d4e5f/devolucao/dev-90210-01" \
--cert ./client.crt \
--key ./client.key \
--pass "SUA_SENHA_DO_CERTIFICADO" \
-H "Authorization: Bearer {access_token}"
<?php
$e2eid = 'E12345678202607211307a1b2c3d4e5f';
$id = 'dev-90210-01';
$ch = curl_init("https://api.pix.basspago.com.br/pix/{$e2eid}/devolucao/{$id}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_SSLCERT => './client.crt',
CURLOPT_SSLKEY => './client.key',
CURLOPT_KEYPASSWD => 'SUA_SENHA_DO_CERTIFICADO',
CURLOPT_HTTPHEADER => ['Authorization: Bearer {access_token}'],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
import fs from "node:fs";
import https from "node:https";
import axios from "axios";
const agent = new https.Agent({
cert: fs.readFileSync("./client.crt"),
key: fs.readFileSync("./client.key"),
passphrase: "SUA_SENHA_DO_CERTIFICADO",
});
const e2eid = "E12345678202607211307a1b2c3d4e5f";
const id = "dev-90210-01";
const { data } = await axios.get(
`https://api.pix.basspago.com.br/pix/${e2eid}/devolucao/${id}`,
{
httpsAgent: agent,
headers: { Authorization: "Bearer {access_token}" },
}
);
console.log(data);
{
"id": "dev-90210-01",
"rtrId": "D12345678202607211100f6e5d4c3b2a",
"valor": "49.90",
"horario": {
"solicitacao": "2026-07-21T11:00:00.000Z",
"liquidacao": "2026-07-21T11:00:05.000Z"
},
"status": "DEVOLVIDO",
"natureza": "ORIGINAL",
"descricao": "Devolução solicitada pelo cliente"
}